package cn.ibizlab.businesscentral.core.odoo_mrp.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.businesscentral.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.businesscentral.core.odoo_mrp.domain.Mrp_routing_workcenter;
/**
 * 关系型数据实体[Mrp_routing_workcenter] 查询条件对象
 */
@Slf4j
@Data
public class Mrp_routing_workcenterSearchContext extends QueryWrapperContext<Mrp_routing_workcenter> {

	private String n_batch_eq;//[下一作业]
	public void setN_batch_eq(String n_batch_eq) {
        this.n_batch_eq = n_batch_eq;
        if(!ObjectUtils.isEmpty(this.n_batch_eq)){
            this.getSearchCond().eq("batch", n_batch_eq);
        }
    }
	private String n_time_mode_eq;//[时长计算]
	public void setN_time_mode_eq(String n_time_mode_eq) {
        this.n_time_mode_eq = n_time_mode_eq;
        if(!ObjectUtils.isEmpty(this.n_time_mode_eq)){
            this.getSearchCond().eq("time_mode", n_time_mode_eq);
        }
    }
	private String n_name_like;//[操作]
	public void setN_name_like(String n_name_like) {
        this.n_name_like = n_name_like;
        if(!ObjectUtils.isEmpty(this.n_name_like)){
            this.getSearchCond().like("name", n_name_like);
        }
    }
	private String n_company_id_text_eq;//[公司]
	public void setN_company_id_text_eq(String n_company_id_text_eq) {
        this.n_company_id_text_eq = n_company_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_eq)){
            this.getSearchCond().eq("company_id_text", n_company_id_text_eq);
        }
    }
	private String n_company_id_text_like;//[公司]
	public void setN_company_id_text_like(String n_company_id_text_like) {
        this.n_company_id_text_like = n_company_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_company_id_text_like)){
            this.getSearchCond().like("company_id_text", n_company_id_text_like);
        }
    }
	private String n_workcenter_id_text_eq;//[工作中心]
	public void setN_workcenter_id_text_eq(String n_workcenter_id_text_eq) {
        this.n_workcenter_id_text_eq = n_workcenter_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_text_eq)){
            this.getSearchCond().eq("workcenter_id_text", n_workcenter_id_text_eq);
        }
    }
	private String n_workcenter_id_text_like;//[工作中心]
	public void setN_workcenter_id_text_like(String n_workcenter_id_text_like) {
        this.n_workcenter_id_text_like = n_workcenter_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_text_like)){
            this.getSearchCond().like("workcenter_id_text", n_workcenter_id_text_like);
        }
    }
	private String n_routing_id_text_eq;//[父级工艺路线]
	public void setN_routing_id_text_eq(String n_routing_id_text_eq) {
        this.n_routing_id_text_eq = n_routing_id_text_eq;
        if(!ObjectUtils.isEmpty(this.n_routing_id_text_eq)){
            this.getSearchCond().eq("routing_id_text", n_routing_id_text_eq);
        }
    }
	private String n_routing_id_text_like;//[父级工艺路线]
	public void setN_routing_id_text_like(String n_routing_id_text_like) {
        this.n_routing_id_text_like = n_routing_id_text_like;
        if(!ObjectUtils.isEmpty(this.n_routing_id_text_like)){
            this.getSearchCond().like("routing_id_text", n_routing_id_text_like);
        }
    }
	private String n_write_uid_text_eq;//[最后更新者]
	public void setN_write_uid_text_eq(String n_write_uid_text_eq) {
        this.n_write_uid_text_eq = n_write_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_eq)){
            this.getSearchCond().eq("write_uid_text", n_write_uid_text_eq);
        }
    }
	private String n_write_uid_text_like;//[最后更新者]
	public void setN_write_uid_text_like(String n_write_uid_text_like) {
        this.n_write_uid_text_like = n_write_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_write_uid_text_like)){
            this.getSearchCond().like("write_uid_text", n_write_uid_text_like);
        }
    }
	private String n_create_uid_text_eq;//[创建人]
	public void setN_create_uid_text_eq(String n_create_uid_text_eq) {
        this.n_create_uid_text_eq = n_create_uid_text_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_eq)){
            this.getSearchCond().eq("create_uid_text", n_create_uid_text_eq);
        }
    }
	private String n_create_uid_text_like;//[创建人]
	public void setN_create_uid_text_like(String n_create_uid_text_like) {
        this.n_create_uid_text_like = n_create_uid_text_like;
        if(!ObjectUtils.isEmpty(this.n_create_uid_text_like)){
            this.getSearchCond().like("create_uid_text", n_create_uid_text_like);
        }
    }
	private Long n_routing_id_eq;//[父级工艺路线]
	public void setN_routing_id_eq(Long n_routing_id_eq) {
        this.n_routing_id_eq = n_routing_id_eq;
        if(!ObjectUtils.isEmpty(this.n_routing_id_eq)){
            this.getSearchCond().eq("routing_id", n_routing_id_eq);
        }
    }
	private Long n_write_uid_eq;//[最后更新者]
	public void setN_write_uid_eq(Long n_write_uid_eq) {
        this.n_write_uid_eq = n_write_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_write_uid_eq)){
            this.getSearchCond().eq("write_uid", n_write_uid_eq);
        }
    }
	private Long n_company_id_eq;//[公司]
	public void setN_company_id_eq(Long n_company_id_eq) {
        this.n_company_id_eq = n_company_id_eq;
        if(!ObjectUtils.isEmpty(this.n_company_id_eq)){
            this.getSearchCond().eq("company_id", n_company_id_eq);
        }
    }
	private Long n_workcenter_id_eq;//[工作中心]
	public void setN_workcenter_id_eq(Long n_workcenter_id_eq) {
        this.n_workcenter_id_eq = n_workcenter_id_eq;
        if(!ObjectUtils.isEmpty(this.n_workcenter_id_eq)){
            this.getSearchCond().eq("workcenter_id", n_workcenter_id_eq);
        }
    }
	private Long n_create_uid_eq;//[创建人]
	public void setN_create_uid_eq(Long n_create_uid_eq) {
        this.n_create_uid_eq = n_create_uid_eq;
        if(!ObjectUtils.isEmpty(this.n_create_uid_eq)){
            this.getSearchCond().eq("create_uid", n_create_uid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("name", query)   
            );
		 }
	}
}



